Advanced Threat Protection - Get
Ottiene le impostazioni di Advanced Threat Protection per la risorsa specificata.
GET https://management.azure.com/{resourceId}/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
resource
|
path | True |
string |
Identificatore della risorsa. |
|
setting
|
path | True |
string |
Nome dell'impostazione di Advanced Threat Protection. |
|
api-version
|
query | True |
string |
Versione dell'API per l'operazione |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Richiesta riuscita per ottenere le impostazioni di Advanced Threat Protection. |
|
| Other Status Codes |
Risposta di errore che descrive il motivo per cui l'operazione non è riuscita. |
Sicurezza
azure_auth
Flusso OAuth2 di Azure Active Directory
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome | Descrizione |
|---|---|
| user_impersonation | rappresentare l'account utente |
Esempio
Gets the Advanced Threat Protection settings for the specified resource.
Esempio di richiesta
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current?api-version=2017-08-01-preview
Risposta di esempio
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/SampleRG/providers/Microsoft.Storage/storageAccounts/samplestorageaccount/providers/Microsoft.Security/advancedThreatProtectionSettings/current",
"name": "current",
"type": "Microsoft.Security/advancedThreatProtectionSettings",
"properties": {
"isEnabled": true
}
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Advanced |
Risorsa Advanced Threat Protection. |
|
Cloud |
Risposta di errore comune per tutte le API di Azure Resource Manager per restituire i dettagli dell'errore per le operazioni non riuscite. Questo segue anche il formato di risposta di errore OData. |
|
Cloud |
Dettagli dell'errore. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
AdvancedThreatProtectionSetting
Risorsa Advanced Threat Protection.
| Nome | Tipo | Descrizione |
|---|---|---|
| id |
string |
ID risorsa |
| name |
string |
Nome risorsa |
| properties.isEnabled |
boolean |
Indica se Advanced Threat Protection è abilitato. |
| type |
string |
Tipo di risorsa |
CloudError
Risposta di errore comune per tutte le API di Azure Resource Manager per restituire i dettagli dell'errore per le operazioni non riuscite. Questo segue anche il formato di risposta di errore OData.
| Nome | Tipo | Descrizione |
|---|---|---|
| error.additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| error.code |
string |
Codice di errore. |
| error.details |
Dettagli dell'errore. |
|
| error.message |
string |
Messaggio di errore. |
| error.target |
string |
Destinazione dell'errore. |
CloudErrorBody
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |